Skip to navigation

Create a Virtual Account

View as Markdown

This endpoint allows you to create a virtual account with activation and reservation services. The endpoint supports both XML and JSON format. The activation and reservation functionality is identified based on the action in the request payload.

Authentication

AuthorizationBearer

All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.

Headers

AuthorizationstringRequired
The OAuth Token prefixed with "Bearer" and space in between.

Query parameters

client_idstringRequired

This is your unique identifier shared during your CitiConnect API onboarding. This is the same client_id used for OAuth token generation.

Request

Describes the virtual account creation APIs request body fields.
actionenumRequired

Action is a request type. if you are requesting to activate a virtual account, then provide action values as activation. If requesting to reserve virtual accounts for a previously cited virtual header account then provide action value as reservation.

Allowed values:
api_versionstringRequired<=10 characters
Version of the API.
branch_codestringRequired<=4 characters
Citi branch code associated with a given virtual header account.
contact_emailstringRequiredformat: "email"<=2048 characters
Email address as defined on the virtual header account.
contact_first_namestringRequired<=105 characters
First name as defined on the virtual header account.
contact_last_namestringRequired<=105 characters
Last name as defined on the virtual header account.
contact_phonestringRequiredformat: "\+[0-9]{1,3}-[0-9()+\-]{1,30}"
Phone number as defined on the virtual header account.
virtual_header_accountstringRequired<=40 characters
Physical account in a VAM structure.
accountslist of objectsOptional

Mandatory only if value of ‘action’ parameter is ‘activation’.

This parameter specifies the list of Virtual Accounts.

number_of_accounts_requiredintegerOptional<=1200
Mandatory parameter only if the value of 'action' parameter is 'reservation', and specifies the number of virtual accounts requested to be reserved.

Response

Accepted
messagestring<=400 characters
Detailed response description for given request.
request_idstring<=40 characters

Auto-generated unique identification assigned for the request.

statusstring<=20 characters
Status of the request.

Errors

400
Bad Request Error
401
Unauthorized Error
405
Method Not Allowed Error
415
Unsupported Media Type Error
500
Internal Server Error